Overview

Prepare for Installation
Installation Guide >
Overview

The following diagram shows the major parts of the installation process:

Further details are provided in the following sections.

Topics in this section

  • Prepare for Installation
  • Select Install Type
  • Specify License
  • Configure and Install
  • Activate Products
  • Create Deployment
  • Change Product Language
Please send us your comment about this page


Prepare for Installation

Overview
Overview
Select Install Type
Installation Guide > Overview >
Prepare for Installation

Before starting to install, check the following details:

  • Confirm that your computer meets the minimum system requirements. If in doubt, click System Requirements at the bottom of the installer screen.
  • Review product documentation to clarify details such as the type of installation to do (stand-alone or network) and which products to install. Documentation is accessible from links on the lower left corner of the installer:
  • Ensure that your user name has Administrator permissions to install applications on the computer or network.
  • Obtain serial numbers and product keys for all products you want to install. These are on the product package or provided at the time you download the software.
  • Close all running applications.


Select Install Type

Prepare for Installation
Overview
Specify License
Installation Guide > Overview >
Select Install Type

Here is some basic information to help you choose the right path.

  • Install is recommended for individual users or small groups. The key point is that you will repeat the installation process on each computer. This is the only valid installation type for a stand-alone license, but it can also be used with a multi-seat stand-alone or network license.
  • Create Deployment is recommended for network administrators, using either a multi-seat stand-alone or network license. In the deployment process, the installation is configured once, stored on the network, and then distributed efficiently to users' computers.

    For more information on deployments, see Create Deployment or the Network Administrator's Guide.

  • Install Tools & Utilities is used to install tools and utilities related to your suite or product. If you have a network license for your Autodesk product, you will need to use this option to install the Network License Manager before any users can run the product. Consult the documentation for your suite or product to identify the available tools and utilities of interest.

Select Installer Language

On the first screen of the installer, you can select the language for the installer screens, using this control on the upper right:

For some Autodesk products, later in the install process you can select the language for installed products. For more information, see Change Product Language.


Specify License

Select Install Type
Overview
Configure and Install
Installation Guide > Overview >
Specify License

The following notes provide a general overview. For more detailed information, see the Licensing Guide for your product.

License Types

You can install most Autodesk products for a trial period of 30 days to evaluate the product. If you purchase a license, it is configured as either stand-alone or network, and for a specific number of users. These license types are briefly described as follows:

  • A stand-alone license is intended for use by one person. The licensed products can be installed on two computers, as long as both instances are not running concurrently.
  • A multi-seat stand-alone license is intended to support a specified maximum number of users, but it can be installed on a larger number of computers for convenient access.
  • A network license supports a specified number of users who are connected to a network. The Network License Manager is installed on one or more servers on the network to manage the distribution of licenses to users.

Network License Server Models

If you are using a network license, choose the server configuration for the Network License Manager that was specified at the time of license purchase:

  • Single License Server

    One server manages all licenses on the network.

  • Distributed License Server

    Licenses are distributed across a pool of multiple servers in the network. You enter the name of each server in the pool.

  • Redundant License Server

    Three servers are available to authenticate each license. You enter the names of the three servers.


Configure and Install

Specify License
Overview
Activate Products
Installation Guide > Overview >
Configure and Install

Installation Path

This path specifies where the product folder will be installed.

Configuration

Most products have a number of configuration settings. On the Install > Configure Installation page, for any product you have selected to install, you see a triangular control for access to a configuration panel:

Click anywhere in the product box to open the configuration panel. For many products, you can select an installation type, either Typical to accept the default configuration settings, or Custom to review the settings and decide whether to modify them. More information on the configuration settings for your product may exist in an appendix to this guide. After you have configured the settings as required, click the triangle to close the configuration panel.


Activate Products

Configure and Install
Overview
Create Deployment
Installation Guide > Overview >
Activate Products

When you run an Autodesk product for the first time, you will be asked to activate the product. If it is connected to the Internet, your computer can communicate directly with Autodesk to complete the activation process.

If your computer is disconnected from the Internet, you can activate later when you are connected. Some products also permit you to activate offline by sending the serial number, request code, and registration data to Autodesk over the Web or by email. For more information on activation, go to Autodesk Licensing and select the FAQ link.


Create Deployment

Activate Products
Overview
Change Product Language
Installation Guide > Overview >
Create Deployment

Administrative Image

This is a customized set of installation files created by the deployment process. It is used to install a consistent configuration of programs on each computer. Other settings:

  • Administrative image path. Specify a shared network location where you have Full Control permissions. Users will go to this path to install the programs.
  • Target platform. Select either 32-bit or 64-bit to match the operating system of the computers that will use the deployment.
  • Include only products required by this deployment configuration. If selected, the deployment cannot be modified in the future to include additional products. If unselected, the administrative image will include all possible products, and the deployment can be modified in the future in any way.

Installation Settings

  • Silent mode runs the installation in background, without user input.
    ImportantIn silent mode, the user's computer can restart automatically and without warning when the installation is complete.
  • A log file records installation data for each computer.
  • A network log file keeps a central record of installation data for all computers that run the deployment. It has the same name as your deployment, and must reside in a shared folder where users have Change permissions, so that their computers can write to the log file.


Change Product Language

Create Deployment
Overview
Frequently Asked Questions
Installation Guide > Overview >
Change Product Language

This topic does not apply to Autodesk products that provide each language version on separate media. For these products, you must specify the product language when purchasing, and cannot change it.

For some Autodesk products, you can select the product language at the time of installation, using this drop-down menu on the installer:

If the language you want is not available from this control, and if you see the Add Language option on the menu, you can add a language pack.

NoteThe Add Language Pack option is available only to subscription customers.

For deployments, language packs can be included in an administrative image when you initially create a deployment, or when you create a new deployment configuration, but not when you modify a deployment.

To Download a Language Pack

You can obtain language packs from the Subscription Center website, as follows:

  1. On the Select the Products to Install page, click the language drop-down arrow and select Add Language Pack.
  2. In the Language Pack dialog box, click the Browse button and select the language pack downloaded from the subscription center.

The following rules apply to language selection:

  • Only one language can be chosen per installation session. For example, you cannot chose English for one product and German for another product during the same installation.
  • Deployments must be in a single language. One administrative image can support deployments for different languages, but each deployment is for one language.
  • If you are modifying a deployment, or creating a new deployment using an existing deployment as a template, you cannot change the language of the deployment.
  • If you select a language that is not supported by some products, a default language is chosen.


Frequently Asked Questions

Change Product Language
What if I have lost my serial number or product key?
Installation Guide >
Frequently Asked Questions

For advice and assistance with topics not covered here, go to Autodesk Support, click your product name, and search in the Knowledgebase for your product.

Topics in this section

  • What if I have lost my serial number or product key?
  • Why do I need to activate a product after installation?
  • How does a trial license work in a product suite or bundle?
  • How do I switch my license from stand-alone to network or network to stand-alone?
  • Where can I find product license information after installation?
  • After installation, how can I change product configuration, repair, or uninstall the product?


What if I have lost my serial number or product key?

Frequently Asked Questions
Frequently Asked Questions
Why do I need to activate a product after installation?
Installation Guide > Frequently Asked Questions >
What if I have lost my serial number or product key?

Check your product packaging or purchase records, if available, or contact Autodesk Customer Service for assistance.


Why do I need to activate a product after installation?

What if I have lost my serial number or product key?
Frequently Asked Questions
How does a trial license work in a product suite or bundle?
Installation Guide > Frequently Asked Questions >
Why do I need to activate a product after installation?

Activation verifies for Autodesk and for you as a license holder that your Autodesk product is installed on an eligible computer. The activation process improves license security and management. For example, it ensures that a multi-seat license is not in use by more than the authorized number of users.


How does a trial license work in a product suite or bundle?

Why do I need to activate a product after installation?
Frequently Asked Questions
How do I switch my license from stand-alone to network or network to stand-alone?
Installation Guide > Frequently Asked Questions >
How does a trial license work in a product suite or bundle?

A single trial period, usually 30 days, applies to all Autodesk products in the suite or bundle. When the first product is started, the trial period countdown begins for all products. If the user does not activate one of the products before the trial period ends, access to all of the products is denied. After the trial period ends, the user can restore access to the products by entering an activation code.


How do I switch my license from stand-alone to network or network to stand-alone?

How does a trial license work in a product suite or bundle?
Frequently Asked Questions
Where can I find product license information after installation?
Installation Guide > Frequently Asked Questions >
How do I switch my license from stand-alone to network or network to stand-alone?

If you simply entered the wrong license type by mistake, and are still running the installer, use the Back button to return to the Product Information dialog, and change the license type.

If you want to change the license type for an installed product, contact your Autodesk reseller or license supplier to obtain the new license and serial number. Then uninstall your product and run a new install to change the license type and enter the new serial number.


Where can I find product license information after installation?

How do I switch my license from stand-alone to network or network to stand-alone?
Frequently Asked Questions
After installation, how can I change product configuration, repair, or uninstall the product?
Installation Guide > Frequently Asked Questions >
Where can I find product license information after installation?

Select Help menu [image] About, or About [Product Name]. If your product uses InfoCenter, that is where you can find the Help menu.


After installation, how can I change product configuration, repair, or uninstall the product?

Where can I find product license information after installation?
Frequently Asked Questions
Installation for Windows
Installation Guide > Frequently Asked Questions >
After installation, how can I change product configuration, repair, or uninstall the product?
  1. Go to the Windows control panel:
    • Windows XP: On the Start menu, click Settings [image] Control Panel [image] Add or Remove Programs.
    • Windows Vista or 7: On the Start menu, click Settings [image] Control Panel [image] Programs/Uninstall a Program.
  2. In Windows control panel, click the product name, and then click Change/Remove (Windows XP) or Uninstall/Change (Windows Vista and 7).

    The Installer opens in maintenance mode, and directs you through the process.


Installation for Windows

After installation, how can I change product configuration, repair, or uninstall the product?
Stand-Alone Installation
Installation Guide >
Installation for Windows

The content in this section describes what you need to know to install AutoCAD Map 3D on a system running a Windows-based operating system.

Topics in this section

  • Stand-Alone Installation
  • Glossary


Stand-Alone Installation

Installation for Windows
Installation for Windows
Installing and Running the Product
Installation Guide > Installation for Windows >
Stand-Alone Installation

The AutoCAD Map 3D Installation Guide provides instructions about how to prepare, and then install AutoCAD Map 3D 2012. If you have never installed the product before, you should familiarize yourself with the entire installation process and options before beginning.

If you have a previous release installed, you should review the Migrating and Customizing section, so you can take full advantage of your custom settings.

For information about network-licensed versions of the program, see Choose an Installation Type.

Topics in this section

  • Installing and Running the Product


Installing and Running the Product

Stand-Alone Installation
Stand-Alone Installation
Installing AutoCAD Map 3D
Installation Guide > Installation for Windows > Stand-Alone Installation >
Installing and Running the Product

To use the product, you must install the product, register and activate it, and then launch it. You must have administrative permissions to install AutoCAD Map 3D.

This section provides instructions for installing and activating AutoCAD Map 3D for an individual user on a stand-alone computer. For information about installing network-licensed or multi-seat stand-alone versions of the program, see Network Administration and Deployment.

Topics in this section

  • Installing AutoCAD Map 3D
  • Register and Activate AutoCAD Map 3D
  • Launch AutoCAD Map 3D
  • Add or Remove Features
  • Reinstall or Repair AutoCAD Map 3D
  • Uninstall AutoCAD Map 3D
  • Installing Multiple or Bundled Products
  • Installing Design Review
  • Installing Infrastructure Administrator
  • Installing Autodesk Material Libraries


Installing AutoCAD Map 3D

Installing and Running the Product
Installing and Running the Product
Install AutoCAD Map 3D Using Default Settings on a Stand-Alone Computer
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Installing AutoCAD Map 3D

The AutoCAD Map 3D Installation wizard contains all installation-related material in one place. From the installation wizard, you can access user documentation, change the installer language, select a language for your product, install supplemental tools, and add online support services.

  • Review the installation documentation. It is recommended that you take the time to familiarize yourself with the complete installation process before you install AutoCAD Map 3D. You can access information on installation from the installation wizard by selecting the Installation Help option. You can also ensure that your system can support the operation of AutoCAD Map 3D by reviewing the System Requirements.

    For late-breaking information, it is also recommended that you review the product Readme.

Topics in this section

  • Install AutoCAD Map 3D Using Default Settings on a Stand-Alone Computer
  • Install AutoCAD Map 3D Using Custom Settings on a Stand-Alone Computer


Install AutoCAD Map 3D Using Default Settings on a Stand-Alone Computer

Installing AutoCAD Map 3D
Installing AutoCAD Map 3D
Install AutoCAD Map 3D Using Custom Settings on a Stand-Alone Computer
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product > Installing AutoCAD Map 3D >
Install AutoCAD Map 3D Using Default Settings on a Stand-Alone Computer

Using the default installation settings is the fastest way to install AutoCAD Map 3D on a single, stand-alone system. A default installation does the following:

  • Performs a Typical installation, which installs the most common application features.
  • Installs AutoCAD Map 3D to the default installation path of C:\Program Files\Autodesk\<product name>.

To install the product using default settings

  1. Start the AutoCAD Map 3D Installation wizard.
  2. On the initial page, select a language for the installation instructions. Click Install.
  3. Review the Autodesk software license agreement. Click I Accept, and then click Next.
  4. On the Product Information page, specify the license type you want to use, whether you want to try the product for 30 days, or enter your serial number, and the product key. Click Next.
    Warning

    After you click Next, you cannot change the information entered on this page unless you uninstall the product.

  5. On the Configure Installation page, click Install.
  6. When informed of a successful installation, click Finish.

You have successfully installed AutoCAD Map 3D. You are now ready to register your product and start using the program. To register the product, start AutoCAD Map 3D and follow the on-screen instructions.


Install AutoCAD Map 3D Using Custom Settings on a Stand-Alone Computer

Install AutoCAD Map 3D Using Default Settings on a Stand-Alone Computer
Installing AutoCAD Map 3D
Register and Activate AutoCAD Map 3D
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product > Installing AutoCAD Map 3D >
Install AutoCAD Map 3D Using Custom Settings on a Stand-Alone Computer

With this method, you can customize your installation.

To install the product using custom settings

  1. Start the AutoCAD Map 3D Installation wizard.
  2. On the initial page, select a language for the installation instructions. Click Install.
  3. Review the Autodesk software license agreement. Click I Accept, and then click Next.
  4. On the Product Information page, specify the license type you want to use, whether you want to try the product for 30 days, or enter your serial number, and the product key. Click Next.
    Warning

    After you click Next, you cannot change the information entered on this page unless you uninstall the product.

  5. On the Configure Installation page, click on the product you want to configure and specify the following:
    • Installation Type. Select Typical to install the most common application features. Select Custom to install only the application features that you select from the Select Features to Install list.
    • Create the Desktop Shortcut for AutoCAD Map 3D. Clear the check box if you do not want to create a shortcut to the program.
    • Specify whether to include available service packs. The installer automatically checks autodesk.com for available updates.

    Click the product again to close the customization page.

  6. Click another product to change its install configuration, or click Install.
  7. When informed of a successful installation, click Finish.

You have successfully installed AutoCAD Map 3D. You are now ready to register your product and start using the program. To register the product, start AutoCAD Map 3D and follow the on-screen instructions.


Register and Activate AutoCAD Map 3D

Install AutoCAD Map 3D Using Custom Settings on a Stand-Alone Computer
Installing and Running the Product
Launch AutoCAD Map 3D
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Register and Activate AutoCAD Map 3D

The first time you start AutoCAD Map 3D, the Product License Activation wizard is displayed. You can either activate AutoCAD Map 3D at that time, or Try AutoCAD Map 3D and activate it later. Until you register and enter a valid activation code for AutoCAD Map 3D, you are operating the program in trial mode and the Product License Activation wizard is displayed for 30 days from the first time that you run the program.

If after 30 days of running AutoCAD Map 3D in trial mode you have not registered and provided a valid activation code, your only option is to register and activate AutoCAD Map 3D. You will not be able to run in trial mode after the 30 days expires. Once you register and activate AutoCAD Map 3D, the Product License Activation wizard is no longer displayed.

The fastest and most reliable way to register and activate your product is by using the Internet. Simply enter your registration information and send it to Autodesk over the Internet. Once you submit your information, registration and activation occur quickly.

To register and activate AutoCAD Map 3D

  1. Click the Start menu [image] Programs or All Programs [image] Autodesk [image] < AutoCAD Map 3D > [image] < AutoCAD Map 3D >.
  2. In the Autodesk Licensing wizard, review the privacy policy and indicate that you have read and agree with the policy. Click Continue.

    This starts the activation process.

  3. Click Activate.
  4. On the Product License Activation Options page, select the method you want to use to attain your activation code. Click Next.
  5. Follow the on-screen instructions.


Launch AutoCAD Map 3D

Register and Activate AutoCAD Map 3D
Installing and Running the Product
Add or Remove Features
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Launch AutoCAD Map 3D

Assuming that you followed all of the previous steps outlined in this installation section, you can launch AutoCAD Map 3D and start taking advantage of its new and updated features. For more detailed information about the new features, learning videos, online Help, or AutoCAD Map 3D services and support, see the Welcome screen after you launch the product.

You can start AutoCAD Map 3D in the following ways:

  • Desktop shortcut icon. When you install AutoCAD Map 3D, an AutoCAD Map 3D shortcut icon is placed on your desktop unless you cleared that option during installation. Double-click the AutoCAD Map 3D shortcut icon to start the program.
  • Start menu. On the Start menu, click Programs or All Programs [image] Autodesk [image] < AutoCAD Map 3D > [image] < AutoCAD Map 3D >.
  • Location where the AutoCAD Map 3D is installed. If you have administrative permissions, you can run AutoCAD Map 3D in the location where you installed it. If you are a limited-rights user, you must run AutoCAD Map 3D from the Start menu or from the desktop shortcut icon. If you want to create a custom shortcut, make sure that the Start In directory for the shortcut points to a directory where you have write permissions.


Add or Remove Features

Launch AutoCAD Map 3D
Installing and Running the Product
Reinstall or Repair AutoCAD Map 3D
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Add or Remove Features

You can add or remove AutoCAD Map 3D features at any time. For example, you may have chosen a Custom installation option when you first installed AutoCAD Map 3D, but now you want to add features that you did not install originally. Or you may no longer need to use all of the features that were installed originally. You can add or remove features by using the Add or Remove Programs dialog box.

To add or remove features

  1. From the Start menu, access the Control Panel.
  2. Do one of the following:
    • (Windows XP) Click Add or Remove Programs, and select AutoCAD Map 3D. Click Change/Remove.
    • (Windows Vista) Open Uninstall or Change a Program, select AutoCAD Map 3D, then click Uninstall/Change.
    • (Windows 7) Click Programs and Features, and select AutoCAD Map 3D. Click Change.

    The AutoCAD Map 3D Installation wizard re-opens in Maintenance Mode.

  3. Click Add or Remove Features.
  4. On the Add/Remove Features page, select a feature to install or uninstall. The icons to the left of the selections give you an indication of the action that will be taken.

    Indicates a feature that was marked for installation will be in a typical installation.

    Indicates a feature that is not currently scheduled for installation.

    Indicates a feature that was not originally marked for installation, but was added to the installed feature list.

    Indicates an installed feature that is chosen for removal.

    Note

    If you need to revert to AutoCAD Map 3D features that you selected in your original installation, click Cancel.

    Click Update.

  5. When informed that AutoCAD Map 3D is successfully updated, Click Finish.


Reinstall or Repair AutoCAD Map 3D

Add or Remove Features
Installing and Running the Product
Uninstall AutoCAD Map 3D
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Reinstall or Repair AutoCAD Map 3D

If you accidentally delete or alter files that are required by AutoCAD Map 3D, AutoCAD Map 3D might not perform correctly, and you might receive error messages when you try to execute a command or find a file. You can attempt to fix this problem by reinstalling or repairing AutoCAD Map 3D. The reinstallation or repair uses the features that were part of the installation type you chose when you initially installed the program.

To reinstall or repair AutoCAD Map 3D

  1. From the Start menu, access the Control Panel.
  2. Do one of the following:
    • (Windows XP) Click Add or Remove Programs, and select AutoCAD Map 3D. Click Change/Remove.
    • (Windows Vista) Open Uninstall or Change a Program, select AutoCAD Map 3D, then click Uninstall/Change.
    • (Windows 7) Click Programs and Features, and select AutoCAD Map 3D. Click Change.

    The AutoCAD Map 3D Installation wizard re-opens in Maintenance Mode.

  3. Select Repair or Reinstall.
  4. On the Repair or Reinstall page, select one of the following options:
    • Repair This option replaces all registry entries that AutoCAD Map 3D initially installed and restores AutoCAD Map 3D to its default state. If you are missing AutoCAD Map 3D files, use this option. Click Repair to start the process.
    • Reinstall This option repairs the registry and reinstalls all files from the original installation. Use this option if the Repair option does not solve the problem. Click Reinstall to start the process.
  5. When you are informed that the product is successfully repaired or reinstalled, click Finish.


Uninstall AutoCAD Map 3D

Reinstall or Repair AutoCAD Map 3D
Installing and Running the Product
Installing Multiple or Bundled Products
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Uninstall AutoCAD Map 3D

When you uninstall AutoCAD Map 3D, all components are removed. This means that even if you've previously added or removed components, or if you've reinstalled or repaired AutoCAD Map 3D, the uninstall removes all AutoCAD Map 3D installation files from your system.

To uninstall AutoCAD Map 3D

  1. From the Start menu, access the Control Panel.
  2. Do one of the following:
    • (Windows XP) Click Add or Remove Programs, and select AutoCAD Map 3D. Click Change/Remove.
    • (Windows Vista) Open Uninstall or Change a Program, select AutoCAD Map 3D, then click Uninstall/Change.
    • (Windows 7) Click Programs and Features, and select AutoCAD Map 3D. Click Change.

    The AutoCAD Map 3D Installation wizard re-opens in Maintenance Mode.

  3. Click Uninstall.
  4. On the Uninstall page, click Uninstall to remove AutoCAD Map 3D from the system.
  5. When informed that the product has been successfully uninstalled, click Finish.
Note

Even though AutoCAD Map 3D is removed from your system, the software license remains. If you reinstall AutoCAD Map 3D at some future time, you will not have to register and re-activate the program.


Installing Multiple or Bundled Products

Uninstall AutoCAD Map 3D
Installing and Running the Product
Installing Design Review
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Installing Multiple or Bundled Products

Some Autodesk packages are comprised of multiple products or are part of multi-product bundles.

For packages containing multiple products, each program is displayed in the installation wizard. You can choose which products to install, and individually configure them, if necessary. During the install process, you are informed whether a copy of the software is already installed. You are also warned if your system does not meet the minimum system requirements for the product.

If you purchased a package that is a multi-product bundle, such as an educational or institutional package, you have a package that includes several Autodesk products. For these bundled packages, an Installer disc contains information for all the products in the package. The Installer disc helps you install all of the necessary products.


Installing Design Review

Installing Multiple or Bundled Products
Installing and Running the Product
Installing Infrastructure Administrator
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Installing Design Review

Autodesk Design Review 2012 is not installed by default when you install AutoCAD Map 3D. It is recommended that Design Review be installed if you need to view DWF or DWFx files.

Note

If you are installing Autodesk Design Review 2012, it is recommended that you first manually uninstall older versions of Autodesk Design Review and any other DWF viewers. After uninstalling, check the program folders to make sure they are empty before installing Design Review 2012.

Autodesk Design Review is a free program used for creating and reviewing DWF or DWFx files. An open, published, and secure file format developed by Autodesk, DWF enables you to combine and publish rich 2D- and 3D-design data, and share it with others.

The following commands create DWF or DWFx files.

  • PUBLISH
  • PLOT
  • PUBLISH TO WEB
  • EXPORT
  • AUTOPUBLISH
Note

If you use Windows Vista or Windows 7, you can use the Microsoft XPS Viewer to view and print DWFx files without installing Design Review.


Installing Infrastructure Administrator

Installing Design Review
Installing and Running the Product
Installing Autodesk Material Libraries
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Installing Infrastructure Administrator

Autodesk Infrastructure Administrator 2012 is used to design forms, create reports, establish rules for job management, set up users and groups, manage projects, documents, configuration settings, and topologies, customize workflows, and create and edit the data model. Use the Infrastructure Administrator tools to manage customization, and data migration.

The Infrastructure Administrator includes the following tools:

  • Data Model Administrator - Used to create and edit feature classes, add feature class attributes, enable feature classes to work with jobs, manage domain tables of attribute values, manage labels, create and manage topologies, and define feature rules.
  • Form Designer - Used to customize feature class forms, define multiple forms for a single feature class, and to assign different forms to different user groups.
  • Profile Designer - Used to set up profile definitions and templates for any document that contains the Profile Extension.
  • Report Designer - Used to create templates for customized reports.
  • Data Checker - Validates the quality of your data. For example, define any set of consistency checks that can be executed after data has been imported into a document.
  • Schema Converter - Analyzes and converts any Oracle structure into an enterprise industry model schema.
  • Oracle Data Import - a migration tool to transfer Oracle data from any Oracle user to an enterprise industry model.
  • Security Administrator - Defines Oracle users/roles with customized access rights on an enterprise industry model document. There are several permission templates, such as Full Access, or Read Only. You can save your own permission templates for reuse.


Installing Autodesk Material Libraries

Installing Infrastructure Administrator
Installing and Running the Product
Glossary
Installation Guide > Installation for Windows > Stand-Alone Installation > Installing and Running the Product >
Installing Autodesk Material Libraries

The Autodesk material libraries are shared libraries installed with Autodesk products such as Inventor, AutoCAD, Revit and 3ds Max.

Note

If you uninstall or remove a library, the library is no longer available for any product. Uninstalling also means you will be unable to view or display drawings that have materials currently in them.

The Autodesk material libraries include the following:

  • Autodesk Material Library 2011 (CM): Contains the new material library (approximately 256 x 256). This library is installed by default, and required for AutoCAD Map 3D to have full visual style and color style functionality. It is recommended that you do not uninstall this library unless you are also uninstalling all Autodesk products that require this library.
  • Autodesk Material Library 2011 Base Image Library (ILL): Contains low resolution images (approximately 512 x 512) for use with Autodesk materials. This is also installed by default. It is recommended that you do not uninstall this library unless you are also uninstalling all Autodesk products that require this library.
  • Autodesk Material Library 2011 Medium Image Library (ILM): Contains medium resolution images (approximately 1024 x 1024) for rendering materials in medium detail. This library is used for close-ups, and for rendering objects at a larger scale. This library is an installation option available on the Select Products to Install page in the installation wizard.

If you uninstall the Base Image Library, and do not have the Medium Image Library installed, the lowest resolution library (Material Library) is used.

Reinstall Autodesk Material Libraries

If you uninstall or delete material libraries, you can reinstall them to regain visual style and color style functionality. You must reinstall the Material Library (CM) before the Base (ILL) and Medium (ILM) Libraries. The Windows installer log will be inaccessible if the libraries are not reinstalled in the recommended order.

To reinstall Autodesk Material Library 2011

  • From the product media, browse to and run: \support\ADSKMaterials\CM\ProteinMaterials.msi

To reinstall Autodesk Material Library 2011 Base Image Library

  • From the product media, browse to and run: \support\ADSKMaterials\ILL\BaseImageLibrary.msi

To reinstall the Autodesk Material Library 2011 Medium Image Library

  1. Insert the media. Select Install Products from the installation wizard.
  2. On the Select the Products to Install page, select Autodesk Material Library 2011 Medium Image Library, and then click Next.
  3. Review the Autodesk software license agreement. Click I Accept, and then click Next.
  4. On the User and Product Information page, enter your user information, serial number, and product key. Click Next.
  5. On the Begin Installation page, click Install.
  6. On the Installation Complete page, click Finish.


Glossary

Installing Autodesk Material Libraries
Installation for Windows
Installation for Citrix XenApp
Installation Guide > Installation for Windows >
Glossary
activate

Part of the Autodesk software registration process, it allows you to run a product in compliance with the product's end-user license agreement.

Active Directory

A directory service from Microsoft that is part of Windows 2000 and Windows 2003 Server that manages the identities and relationships that make up network environments.

administrative image

A collection of shared file resources created by the deployment wizard and used by deployments to install the program to network workstations.

advertising

A pull technology that notifies users of an updated software product that is available for installation. Users typically double-click a shortcut (or do a similar operation) to complete the installation of the advertised product.

deploy

The process of installing an Autodesk product to one or more computers on a network.

deployment

A link to a unique MST (Microsoft Transform) file that serves as a basis for an installation. Using the deployment wizard, administrators can create multiple deployments that result in different types of installations for users.

directory service

A network service that identifies all resources on a network and makes them accessible to users and applications. Resources include email addresses, computers, and peripheral devices such as printers. Ideally, the directory service should make the physical network topology and protocols transparent so that a user on a network can access any resource without knowing where or how it is physically connected. Virtually all directory services are based on the X.500 ITU standard.

FLEXnet

License management technology from Acresso™ Software, Inc.. FLEXnet provides administrative tools that help to simplify management of network licenses. FLEXnet can be used to monitor network license status, reset licenses lost to a system failure, troubleshoot license servers, and update existing license files.

group policy

Microsoft server technology that provides a way to do push installations and advertising-based installations using standard Microsoft 2000 Server administration components.

installation image

A deployment that consists of an MSI file, any associated transforms, additional user-specified custom files, and profile and registry settings.

language pack

A set of installed files that enable the user to work in the application in the language specified by the Language Pack.

language family

A set of languages (core product, plus language packs) that are distributed together, typically based on a geographic grouping.

License Transfer utility

Allows you to use an Autodesk product on more than one computer without purchasing a separate license for each computer.

MSI

Microsoft installer that supports a variety of parameters that can be scripted.

MSP

Microsoft patch file (see patch).

MST

Microsoft transform file. Modifies the components installed by the MSI file. For example, the deployment wizard creates an MST file with the settings that you specify. The deployment created by the deployment wizard uses the MST file in conjunction with the MSI file and MSIEXEC to install the program on local workstations.

multi-seat stand-alone installation

A type of installation where multiple stand-alone seats of the program are installed using a single serial number.

network license installation

A type of installation where you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager.

partial profile

A profile that contains partial registry information corresponding to a subset of the options available from the Files tab of the Options dialog box.

patch

A software update to an application.

power user

A user with rights to access and write to the Program Files folder and the HKEY_Local_Machine folder of the registry.

pull technology

An installation technology that requires user interaction to complete the installation.

push technology

An installation technology that installs files to a remote desktop without any user interaction.

scripting

The process of using scripting languages such as VB Script to facilitate the deployment of software packages.

service pack

Autodesk terminology for an application patch.

silent mode

An installation that proceeds without any explicit user input. No dialog boxes are presented that require interaction from the user.

SCCM

Microsoft System Center Configuration Manager. A tool that helps administer networked machines by allowing remote configuration, push deployments, and user administration. SCCM is an expensive technology that must be purchased as an additional server.

transform

See MST.


Installation for Citrix XenApp

Glossary
Installing AutoCAD Map 3D 2012 on Citrix XenApp
Installation Guide >
Installation for Citrix XenApp

The content in this section describes what you need to know to install AutoCAD Map 3D on a system running the Citrix XenApp operating system.

Topics in this section

  • Installing AutoCAD Map 3D 2012 on Citrix XenApp
  • Setting Up AutoCAD Map 3D 2012 on XenApp
  • Glossary


Installing AutoCAD Map 3D 2012 on Citrix XenApp

Installation for Citrix XenApp
Installation for Citrix XenApp
Introduction
Installation Guide > Installation for Citrix XenApp >
Installing AutoCAD Map 3D 2012 on Citrix XenApp

Topics in this section

  • Introduction
  • Preparing for Installation
  • How to Install AutoCAD Map 3D on Citrix XenApp


Introduction

Installing AutoCAD Map 3D 2012 on Citrix XenApp
Installing AutoCAD Map 3D 2012 on Citrix XenApp
Preparing for Installation
Installation Guide > Installation for Citrix XenApp > Installing AutoCAD Map 3D 2012 on Citrix XenApp >
Introduction

Deployment and installation of AutoCAD Map 3D 2012 on Citrix® XenApp™ 5.0 or 6.0 requires careful planning and execution. If you are not familiar with Citrix XenApp 5.0 or 6.0, consult the Citrix documentation online at http://support.citrix.com. You can find information about product installation throughout this guide. Information regarding network deployment can be found in the AutoCAD Map 3D 2012 Network Administrator's Guide and information on network licensing is found in the Autodesk Licensing Guide. Read all of these guides as well as selected white papers before you attempt to deploy and administer the program on Citrix XenApp platforms.


Preparing for Installation

Introduction
Installing AutoCAD Map 3D 2012 on Citrix XenApp
How to Install AutoCAD Map 3D on Citrix XenApp
Installation Guide > Installation for Citrix XenApp > Installing AutoCAD Map 3D 2012 on Citrix XenApp >
Preparing for Installation

Reference documents

To prepare for installation, thoroughly review the following documents:

  • AutoCAD Map 3D 2012 Installation Guide
  • Autodesk Licensing Guide

Preliminary tasks

Installing AutoCAD Map 3D on Citrix XenApp involves several steps. Check to see that you have gathered the information and met the prerequisites in the following list:

Installation checklist

  • You have read the required reference documentation to perform the different tasks required to set up and deploy the software. See Reference documents.
  • You have reviewed the system requirements. You must make sure that your network, servers, and clients meet the system requirements. See System Requirements.
  • You have access to an account with Administrative rights on Citrix XenApp.
  • You have installed and activated any Citrix Resources required in the Citrix Access Management Console, including the Web Interface.
  • You have the appropriate ICA Clients downloaded and installed on client computers.
  • You have installed the Autodesk Network License Manager and AutoCAD Map 3D 2012 Network License Activation Utility on your network license server.

When you have completed these tasks you are ready for installation.


How to Install AutoCAD Map 3D on Citrix XenApp

Preparing for Installation
Installing AutoCAD Map 3D 2012 on Citrix XenApp
Setting Up AutoCAD Map 3D 2012 on XenApp
Installation Guide > Installation for Citrix XenApp > Installing AutoCAD Map 3D 2012 on Citrix XenApp >
How to Install AutoCAD Map 3D on Citrix XenApp

To install AutoCAD Map 3D 2012 on Citrix XenApp 5.0 or 6.0, perform a network installation directly from the installation DVD or downloaded installation files. A network installation is nearly identical to a stand-alone installation, with the exception that you must configure network licensing rather than use the default stand-alone license.

For detailed information on installation and network administration of AutoCAD Map 3D, see the AutoCAD Map 3D 2012 Installation Guide. For detailed information on network licensing of AutoCAD Map 3D, see the Autodesk Licensing guide.

When the installation starts, the Windows Add/Remove utility will appear telling you to click Next> after the installation. This After Installation dialog box is part of the Citrix setup and configuration for new programs. Do not click the Next> button until the installation is complete. The After Installation dialog box will remain open for the duration of the installation process.

After the installation is complete and the installation dialog boxes close, click the Next> button. The dialog box closes and the Finish Admin Install dialog box appears. Click Finish to complete the installation.

Overview of Network Installation of AutoCAD Map 3D 2012 on a Citrix XenApp server

The installation instructions that follow are intended as an overview only. You must read the installation documentation for detailed installation instructions.

  1. First, install the Network Licensing Utilities on your network license server: In the AutoCAD Map 3D 2012 Installation Wizard, click Install Tools and Utilities, then install the Network License Manager and the Network License Activation Utility.
  2. From the Windows Add or Remove Program utility, click Add New Programs and then click CD to start installing AutoCAD Map 3D 2012.
  3. In the AutoCAD Map 3D 2012 Installation Wizard, click Install Products.
  4. Select AutoCAD Map 3D 2012 and follow the instructions in the Installation Wizard.
  5. On the Review - Configure - Install page, click the Configure button.
  6. On the Product Information page, select Network as the License Type, then select the appropriate license server model and name. For detailed information on network licensing, see the Autodesk Licensing Guide.
  7. When you have finished configuring your network license information, click Next. Then select the products you want to install.
  8. When the installation is complete, click the Next button in the After Installation dialog box. The Finish Admin Install dialog box appears.
  9. Click Finish.


Setting Up AutoCAD Map 3D 2012 on XenApp

How to Install AutoCAD Map 3D on Citrix XenApp
Installation for Citrix XenApp
Post-installation Configuration of AutoCAD Map 3D 2012
Installation Guide > Installation for Citrix XenApp >
Setting Up AutoCAD Map 3D 2012 on XenApp

Topics in this section

  • Post-installation Configuration of AutoCAD Map 3D 2012
  • Uninstalling AutoCAD Map 3D
  • Configuring the Registry
  • Configuring User Profiles
  • Using Scripts to Configure the Registry and User Profiles
  • Publishing the Application to End Users


Post-installation Configuration of AutoCAD Map 3D 2012

Setting Up AutoCAD Map 3D 2012 on XenApp
Setting Up AutoCAD Map 3D 2012 on XenApp
Uninstalling AutoCAD Map 3D
Installation Guide > Installation for Citrix XenApp > Setting Up AutoCAD Map 3D 2012 on XenApp >
Post-installation Configuration of AutoCAD Map 3D 2012

After you install AutoCAD Map 3D under an administrative user account, you can only run it from that account. If you wish to run the application from a user account that does not have administrator privileges, complete the extra configuration steps described in this section for each user.

The issues and recommendations contained in this document are specific to the installation of AutoCAD Map 3D 2012 only. This document does not include any investigation of licensing issues, nor is it meant to represent or claim full testing of the AutoCAD Map 3D application in XenApp environment.

Note

Remapped drives are not supported.


Uninstalling AutoCAD Map 3D

Post-installation Configuration of AutoCAD Map 3D 2012
Setting Up AutoCAD Map 3D 2012 on XenApp
Configuring the Registry
Installation Guide > Installation for Citrix XenApp > Setting Up AutoCAD Map 3D 2012 on XenApp >
Uninstalling AutoCAD Map 3D

You cannot uninstall a network deployment of AutoCAD Map 3D 2012 on Windows Server 2003 using the Windows Add/Remove utility. Instead, you must manually uninstall AutoCAD Map 3D. For more information, see the Removing AutoCAD Map 3D from Windows Server 2003 document in the Citrix folder on the AutoCAD Map 3D 2012 media.


Configuring the Registry

Uninstalling AutoCAD Map 3D
Setting Up AutoCAD Map 3D 2012 on XenApp
Configuring User Profiles
Installation Guide > Installation for Citrix XenApp > Setting Up AutoCAD Map 3D 2012 on XenApp >
Configuring the Registry

The per-user registry settings under HKEY_CURRENT_USER\Software\Autodesk contains user-specific path information. For example:

[HKEY_CURRENT_USER\Software\Autodesk\AutoCAD\R18.2\ACAD-A002:409]

  • "LocalRootFolder"="C:\\Documents and Settings\\admin\\Local Settings\\Application Data\\Autodesk\\AutoCAD Map 3D 2012\\R18.2\enu\\"
  • "RoamableRootFolder"="C:\\Documents and Settings\\admin\\Application Data\\Autodesk\\AutoCAD Map 3D 2012\\R18.2\enu\\"

To configure the registry

  1. Log in as the Installation user.
  2. Save the registry key HKEY_CURRENT_USER\Software\Autodesk\ to a .reg file. For example, c:\templates\admininstall.reg.
  3. Copy the Install user .reg file to a new user.reg file. For example, copy c:\templates\admininstall.reg to c:\templates\user1.reg.
  4. Edit the new user.reg file and use search-and-replace to replace the installation user name with the new user name. We recommend searching for \<Installation User>\ and replace with \<New User>\. For example, search for \admin\ and replace with \user1\.
  5. Log-in as the new user, run regedit, and import the modified .reg file.

Repeat this procedure for each new user account for which you want to provide the AutoCAD Map 3D application.


Configuring User Profiles

Configuring the Registry
Setting Up AutoCAD Map 3D 2012 on XenApp
Using Scripts to Configure the Registry and User Profiles
Installation Guide > Installation for Citrix XenApp > Setting Up AutoCAD Map 3D 2012 on XenApp >
Configuring User Profiles

AutoCAD Map 3D requires the installation of some files in a user profile directory to function properly. Example directories:

  • C:\Documents and Settings\<username>\Local Settings\Application Data\Autodesk
  • C:\Documents and Settings\<username>\Application Data\Autodesk

When you first install AutoCAD Map 3D on XenApp, these files are only installed for the installation user. You must copy them for each new user’s profile.

To configure user profiles

  1. Log-in as the Installation User.
  2. Save the Local Settings and Application Data Autodesk folders to a folder that is read/write accessible to new users.
  3. Log-in as the New User.
  4. Copy both folders to the new user profile directories.


Using Scripts to Configure the Registry and User Profiles

Configuring User Profiles
Setting Up AutoCAD Map 3D 2012 on XenApp
Publishing the Application to End Users
Installation Guide > Installation for Citrix XenApp > Setting Up AutoCAD Map 3D 2012 on XenApp >
Using Scripts to Configure the Registry and User Profiles

There are two Windows scripts provided for each Windows Server version that you can use to make it easier to apply the post-installation registry and user profile changes. The script names are CitrixScripts_for_ Win_SVR_2003.zip and CitrixScripts_for_ Win_SVR_2008.zip.

To use scripts to configure the registry settings and user profiles

  1. Extract the appropriate files for the version of Windows Server you are using to a local directory. You can find these files on your AutoCAD Map 3D 2012 installation DVD, or on the Citrix Web site: http://community.citrix.com/display/xa/Autodesk+AutoCAD+Map+3D+2009+on+XenApp+post+installation+script.
  2. Log-in as the Installation User, either through the console or remotely.
  3. Run AutoCAD Map 3D to ensure that it is running on XenApp as expected.
  4. By default, the SaveAutoDeskTemplate script stores template files in C:\Autodesktemplate. Create this directory to use the default template settings. If you wish to store template files in another directory, such as a shared network location, you can edit the saveAutoDeskTemplate.bat file to point to your desired location. Make sure that the new users have read/write access to this folder.
  5. At the Command Prompt, run saveAutoDeskTemplate.bat. By default a log file named AutoDeskForCitrix.log is created in the user profile directory.
  6. Log-in as the new (non-administrative) user, then run applyAutodeskTemplate.bat at the Command Prompt. If your template files are not in C:\Autodesktemplate, update the applyAutodeskTemplate.bat file with the folder path where you stored your template files in the previous step. The script will automatically check if the script has been run before by checking if %userprofile%\application data\autodesk folder exists. If not, it will read saved data from the template directory and apply the necessary changes. By default a log file named AutoDeskForCitrix.log is in the user profile directory.
Note

Repeat this procedure every time you update your software and whenever you change the files in these directories.

Note

You can also run the applyAutoDeskTemplate script as part of your logon script by adding a shortcut to the script in the Startup folder of each user.


Publishing the Application to End Users

Using Scripts to Configure the Registry and User Profiles
Setting Up AutoCAD Map 3D 2012 on XenApp
Glossary
Installation Guide > Installation for Citrix XenApp > Setting Up AutoCAD Map 3D 2012 on XenApp >
Publishing the Application to End Users

For end users to have access to the published application, they must be able to connect to XenApp (through the Citrix Secure Access Client, for example). For more information about the Citrix Secure Gateway, see the Citrix Secure Gateway for Windows Administrator's Guide. The end user must also have client access software installed, such as an appropriate ICA client. For more information, refer to the Citrix XenApp installation documentation at http://support.citrix.com for the appropriate operating system.


Glossary

Publishing the Application to End Users
Installation for Citrix XenApp
AutoCAD Map 3D 2012 and Citrix XenApp Terms
Installation Guide > Installation for Citrix XenApp >
Glossary

Topics in this section

  • AutoCAD Map 3D 2012 and Citrix XenApp Terms


AutoCAD Map 3D 2012 and Citrix XenApp Terms

Glossary
Glossary
Installation Guide > Installation for Citrix XenApp > Glossary >
AutoCAD Map 3D 2012 and Citrix XenApp Terms

You should be familiar with the following useful terms when installing AutoCAD Map 3D on a Citrix Presentation Server.

administrative image

A collection of shared file resources created by the Deployment wizard and used by deployments to install the program to network workstations. You can apply service packs (patches) to an administrative image using the Deployment wizard.

client

The end user’s computer. The client obtains applications and data from the server.

computing appliance

A workstation or client device consisting at minimum of an operating system and a connectivity program that can access software applications from a server across a network.

CPS

Citrix Presentation Server (now known as XenApp).

deploy

The process of installing an Autodesk product to one or more computers on a network.

deployment

A link to a unique MST (Microsoft Transform) file that serves as a basis for an installation. Using the Deployment wizard, administrators can create multiple deployments that result in different types of installations for users.

ICA

Independent Computing Architecture. The central technology of Citrix Presentation Server that enables a server to run applications for multiple users simultaneously. The technology sends only the changes in the user interface to the client.

installation image

A deployment that consists of an MSI file, any associated transforms, additional user-specified custom files, and profile and registry settings.

installation user

The user who performs the initial installation. The Installation User must have domain administrative rights.

new user

The non-administrative end user who uses AutoCAD Map 3D.

Secure Gateway

A gateway that allows customers to simply and securely deploy business-critical applications to employees, business partners, and customers through the Internet while maintaining manageability, scalability, reliability, and control.

system optimization

Modifications that improve the efficiency and speed of the system. The system could be a single computer on the network or a cluster of computers.

system sizing

The process of establishing the requirements of a system to determine an effective level of service for end users and processes.

UNC

Uniform Naming Convention. A path that specifies the name of a computer and directory or resource. The name of the computer is preceded by two back slashes, the directory is preceded by one back slash. For example, \\servername\directory.

URL

Uniform Resource Locator. A complete address that defines a route to a resource or files on a network. It contains the protocol, the domain, and the name of the resource or file.

XenApp

The product formerly known as Citrix Presentation Server.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!